Skip to content
Ask AI

Evpn-Multihoming-Netconf

YANG Pathget/get-configedit-configrpc
/evpn-multihomingYmerge, replace, create, delete—
/evpn-multihoming/ethernet-segments/{name}Ymerge, replace, create, delete—
/evpn-multihoming/globalYmerge, replace, create, delete—
/show-evpn-es——Y

This chapter provides examples on how to use Netconf to manage EVPN Multihoming configurations on AsterNOS devices.

Request example to get all EVPN Multihoming configurations via get-config with subtree filter.

<filter type="subtree">
<top>
<evpn-multihoming/>
</top>
</filter>

Response example

<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<top>
<evpn-multihoming xmlns="http://asterfusion.com/ns/yang/asternos-evpn-multihoming">
<global>
<disable-advertise-svi-mac>false</disable-advertise-svi-mac>
<mac-holdtime>1080</mac-holdtime>
<neigh-holdtime>1080</neigh-holdtime>
<redirect-off>false</redirect-off>
<startup-delay>180</startup-delay>
</global>
<ethernet-segments>
<ethernet-segment>
<name>Ethernet1</name>
<es-id>100</es-id>
<es-sys-mac>00:11:22:33:44:55</es-sys-mac>
<df-pref>100</df-pref>
<uplink>true</uplink>
</ethernet-segment>
</ethernet-segments>
</evpn-multihoming>
</top>
</data>

Set (Create/Modify) EVPN Multihoming Configurations

Section titled “Set (Create/Modify) EVPN Multihoming Configurations”

Request example to set EVPN Multihoming global and ethernet segment via edit-config.

<config>
<top>
<evpn-multihoming>
<global>
<disable-advertise-svi-mac>true</disable-advertise-svi-mac>
<mac-holdtime>2000</mac-holdtime>
<neigh-holdtime>2000</neigh-holdtime>
<redirect-off>true</redirect-off>
<startup-delay>300</startup-delay>
</global>
<ethernet-segments>
<ethernet-segment operation="create">
<name>Ethernet1</name>
<es-id>100</es-id>
<es-sys-mac>00:11:22:33:44:55</es-sys-mac>
<df-pref>200</df-pref>
<uplink>false</uplink>
</ethernet-segment>
</ethernet-segments>
</evpn-multihoming>
</top>
</config>

Response example

<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
<ok/>
</rpc-reply>

Request example to delete an ethernet segment via edit-config.

<config>
<top>
<evpn-multihoming>
<ethernet-segments>
<ethernet-segment operation="delete">
<name>Ethernet1</name>
</ethernet-segment>
</ethernet-segments>
</evpn-multihoming>
</top>
</config>

For detailed fields and YANG definitions, please refer to yang/asternos-evpn-multihoming.yang.

Tree Diagram

module: asternos-evpn-multihoming
+--rw evpn-multihoming
+--rw global
| +--rw disable-advertise-svi-mac? boolean
| +--rw mac-holdtime? uint32
| +--rw neigh-holdtime? uint32
| +--rw redirect-off? boolean
| +--rw startup-delay? uint16
+--rw ethernet-segments
+--rw ethernet-segment* [name]
+--rw name interface-name
+--rw esi? string
+--rw es-sys-mac? yang:mac-address
+--rw es-id? uint32
+--rw df-pref? uint16
+--rw uplink? boolean

Table of Properties

NameRequiredType/RangeDescription
evpn-multihomingMPath-only node, has no configurable value.
globalMPath-only node, has no configurable value.
EVPN multihoming global configuration.
disable-advertise-svi-macO”true"
"false”
Disable SVI Mac advertise to bgp.
Default value: False
mac-holdtimeO0..86400MAC hold time.
Default value: 1080
neigh-holdtimeO0..86400Neighbor entry hold time.
Default value: 1080
redirect-offO”true"
"false”
ES bond redirect for fast-failover off.
Default value: False
startup-delayO0..3600Startup delay.
Default value: 180
ethernet-segmentsMPath-only node, has no configurable value.
EVPN multihoming ethernet segments configuration.
ethernet-segmentMPath-only node, has no configurable value.
nameOEthernet nameInterfaces name that can configure EVPN multihoming.
esiONoneA 10-byte complete ESINAME.
es-sys-macOyang:mac-addressEthernet segment system MAC.
es-idO1..16777215Local discriminator.
df-prefO1..65535Preference value used for DF election.
uplinkO”true"
"false”
Uplink to the VxLAN core.

EVPN multihoming ethernet segments configuration

Section titled “EVPN multihoming ethernet segments configuration”

Tree Diagram

module: asternos-evpn-multihoming
+--rw evpn-multihoming
+--rw ethernet-segments
+--rw ethernet-segment* [name]
+--rw name interface-name
+--rw esi? string
+--rw es-sys-mac? yang:mac-address
+--rw es-id? uint32
+--rw df-pref? uint16
+--rw uplink? boolean

Table of Properties

NameRequiredType/RangeDescription
ethernet-segmentsMPath-only node, has no configurable value.
EVPN multihoming ethernet segments configuration.
ethernet-segmentMPath-only node, has no configurable value.
nameOEthernet nameInterfaces name that can configure EVPN multihoming.
esiONoneA 10-byte complete ESINAME.
es-sys-macOyang:mac-addressEthernet segment system MAC.
es-idO1..16777215Local discriminator.
df-prefO1..65535Preference value used for DF election.
uplinkO”true"
"false”
Uplink to the VxLAN core.

Tree Diagram

module: asternos-evpn-multihoming
+--rw evpn-multihoming
+--rw global
+--rw disable-advertise-svi-mac? boolean
+--rw mac-holdtime? uint32
+--rw neigh-holdtime? uint32
+--rw redirect-off? boolean
+--rw startup-delay? uint16

Table of Properties

NameRequiredType/RangeDescription
globalMPath-only node, has no configurable value.
EVPN multihoming global configuration.
disable-advertise-svi-macO”true"
"false”
Disable SVI Mac advertise to bgp.
Default value: False
mac-holdtimeO0..86400MAC hold time.
Default value: 1080
neigh-holdtimeO0..86400Neighbor entry hold time.
Default value: 1080
redirect-offO”true"
"false”
ES bond redirect for fast-failover off.
Default value: False
startup-delayO0..3600Startup delay.
Default value: 180

Tree Diagram

module: asternos-evpn-multihoming
rpcs:
+---x show-evpn-es
+---w input
| +---w (options)?
| +--:(detail)
| | +---w detail? empty
| +--:(esi)
| +---w esi? string
+--ro output
+--ro data? string

Table of Properties

NameRequiredType/RangeDescription
show-evpn-esO
detailOemptyDisplay more details.
esiOstringDisplay information of specific ESI.
dataOstringevpn information.